Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
224.0.0.0
Broadcast address
224.127.255.255
First usable
224.0.0.1
Last usable
224.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E0000000 · Integer 3758096384 to 3766484991
Reverse DNS zones
0.224.in-addr.arpa
1.224.in-addr.arpa
2.224.in-addr.arpa
3.224.in-addr.arpa
4.224.in-addr.arpa
5.224.in-addr.arpa
6.224.in-addr.arpa
7.224.in-addr.arpa
8.224.in-addr.arpa
9.224.in-addr.arpa
10.224.in-addr.arpa
11.224.in-addr.arpa
12.224.in-addr.arpa
13.224.in-addr.arpa
14.224.in-addr.arpa
15.224.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.00000000.00000000.00000000224.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11100000.00000000.00000000.00000000224.0.0.0
Broadcast11100000.01111111.11111111.11111111224.127.255.255
Split into smaller subnets/20

224.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.0.0.0/20224.0.0.1 to 224.0.15.254224.0.15.2554,094
2224.0.16.0/20224.0.16.1 to 224.0.31.254224.0.31.2554,094
3224.0.32.0/20224.0.32.1 to 224.0.47.254224.0.47.2554,094
4224.0.48.0/20224.0.48.1 to 224.0.63.254224.0.63.2554,094
5224.0.64.0/20224.0.64.1 to 224.0.79.254224.0.79.2554,094
6224.0.80.0/20224.0.80.1 to 224.0.95.254224.0.95.2554,094
7224.0.96.0/20224.0.96.1 to 224.0.111.254224.0.111.2554,094
8224.0.112.0/20224.0.112.1 to 224.0.127.254224.0.127.2554,094
9224.0.128.0/20224.0.128.1 to 224.0.143.254224.0.143.2554,094
10224.0.144.0/20224.0.144.1 to 224.0.159.254224.0.159.2554,094
11224.0.160.0/20224.0.160.1 to 224.0.175.254224.0.175.2554,094
12224.0.176.0/20224.0.176.1 to 224.0.191.254224.0.191.2554,094
13224.0.192.0/20224.0.192.1 to 224.0.207.254224.0.207.2554,094
14224.0.208.0/20224.0.208.1 to 224.0.223.254224.0.223.2554,094
15224.0.224.0/20224.0.224.1 to 224.0.239.254224.0.239.2554,094
16224.0.240.0/20224.0.240.1 to 224.0.255.254224.0.255.2554,094
17224.1.0.0/20224.1.0.1 to 224.1.15.254224.1.15.2554,094
18224.1.16.0/20224.1.16.1 to 224.1.31.254224.1.31.2554,094
19224.1.32.0/20224.1.32.1 to 224.1.47.254224.1.47.2554,094
20224.1.48.0/20224.1.48.1 to 224.1.63.254224.1.63.2554,094
21224.1.64.0/20224.1.64.1 to 224.1.79.254224.1.79.2554,094
22224.1.80.0/20224.1.80.1 to 224.1.95.254224.1.95.2554,094
23224.1.96.0/20224.1.96.1 to 224.1.111.254224.1.111.2554,094
24224.1.112.0/20224.1.112.1 to 224.1.127.254224.1.127.2554,094
25224.1.128.0/20224.1.128.1 to 224.1.143.254224.1.143.2554,094
26224.1.144.0/20224.1.144.1 to 224.1.159.254224.1.159.2554,094
27224.1.160.0/20224.1.160.1 to 224.1.175.254224.1.175.2554,094
28224.1.176.0/20224.1.176.1 to 224.1.191.254224.1.191.2554,094
29224.1.192.0/20224.1.192.1 to 224.1.207.254224.1.207.2554,094
30224.1.208.0/20224.1.208.1 to 224.1.223.254224.1.223.2554,094
31224.1.224.0/20224.1.224.1 to 224.1.239.254224.1.239.2554,094
32224.1.240.0/20224.1.240.1 to 224.1.255.254224.1.255.2554,094
33224.2.0.0/20224.2.0.1 to 224.2.15.254224.2.15.2554,094
34224.2.16.0/20224.2.16.1 to 224.2.31.254224.2.31.2554,094
35224.2.32.0/20224.2.32.1 to 224.2.47.254224.2.47.2554,094
36224.2.48.0/20224.2.48.1 to 224.2.63.254224.2.63.2554,094
37224.2.64.0/20224.2.64.1 to 224.2.79.254224.2.79.2554,094
38224.2.80.0/20224.2.80.1 to 224.2.95.254224.2.95.2554,094
39224.2.96.0/20224.2.96.1 to 224.2.111.254224.2.111.2554,094
40224.2.112.0/20224.2.112.1 to 224.2.127.254224.2.127.2554,094
41224.2.128.0/20224.2.128.1 to 224.2.143.254224.2.143.2554,094
42224.2.144.0/20224.2.144.1 to 224.2.159.254224.2.159.2554,094
43224.2.160.0/20224.2.160.1 to 224.2.175.254224.2.175.2554,094
44224.2.176.0/20224.2.176.1 to 224.2.191.254224.2.191.2554,094
45224.2.192.0/20224.2.192.1 to 224.2.207.254224.2.207.2554,094
46224.2.208.0/20224.2.208.1 to 224.2.223.254224.2.223.2554,094
47224.2.224.0/20224.2.224.1 to 224.2.239.254224.2.239.2554,094
48224.2.240.0/20224.2.240.1 to 224.2.255.254224.2.255.2554,094
49224.3.0.0/20224.3.0.1 to 224.3.15.254224.3.15.2554,094
50224.3.16.0/20224.3.16.1 to 224.3.31.254224.3.31.2554,094
51224.3.32.0/20224.3.32.1 to 224.3.47.254224.3.47.2554,094
52224.3.48.0/20224.3.48.1 to 224.3.63.254224.3.63.2554,094
53224.3.64.0/20224.3.64.1 to 224.3.79.254224.3.79.2554,094
54224.3.80.0/20224.3.80.1 to 224.3.95.254224.3.95.2554,094
55224.3.96.0/20224.3.96.1 to 224.3.111.254224.3.111.2554,094
56224.3.112.0/20224.3.112.1 to 224.3.127.254224.3.127.2554,094
57224.3.128.0/20224.3.128.1 to 224.3.143.254224.3.143.2554,094
58224.3.144.0/20224.3.144.1 to 224.3.159.254224.3.159.2554,094
59224.3.160.0/20224.3.160.1 to 224.3.175.254224.3.175.2554,094
60224.3.176.0/20224.3.176.1 to 224.3.191.254224.3.191.2554,094
61224.3.192.0/20224.3.192.1 to 224.3.207.254224.3.207.2554,094
62224.3.208.0/20224.3.208.1 to 224.3.223.254224.3.223.2554,094
63224.3.224.0/20224.3.224.1 to 224.3.239.254224.3.239.2554,094
64224.3.240.0/20224.3.240.1 to 224.3.255.254224.3.255.2554,094
65224.4.0.0/20224.4.0.1 to 224.4.15.254224.4.15.2554,094
66224.4.16.0/20224.4.16.1 to 224.4.31.254224.4.31.2554,094
67224.4.32.0/20224.4.32.1 to 224.4.47.254224.4.47.2554,094
68224.4.48.0/20224.4.48.1 to 224.4.63.254224.4.63.2554,094
69224.4.64.0/20224.4.64.1 to 224.4.79.254224.4.79.2554,094
70224.4.80.0/20224.4.80.1 to 224.4.95.254224.4.95.2554,094
71224.4.96.0/20224.4.96.1 to 224.4.111.254224.4.111.2554,094
72224.4.112.0/20224.4.112.1 to 224.4.127.254224.4.127.2554,094
73224.4.128.0/20224.4.128.1 to 224.4.143.254224.4.143.2554,094
74224.4.144.0/20224.4.144.1 to 224.4.159.254224.4.159.2554,094
75224.4.160.0/20224.4.160.1 to 224.4.175.254224.4.175.2554,094
76224.4.176.0/20224.4.176.1 to 224.4.191.254224.4.191.2554,094
77224.4.192.0/20224.4.192.1 to 224.4.207.254224.4.207.2554,094
78224.4.208.0/20224.4.208.1 to 224.4.223.254224.4.223.2554,094
79224.4.224.0/20224.4.224.1 to 224.4.239.254224.4.239.2554,094
80224.4.240.0/20224.4.240.1 to 224.4.255.254224.4.255.2554,094
81224.5.0.0/20224.5.0.1 to 224.5.15.254224.5.15.2554,094
82224.5.16.0/20224.5.16.1 to 224.5.31.254224.5.31.2554,094
83224.5.32.0/20224.5.32.1 to 224.5.47.254224.5.47.2554,094
84224.5.48.0/20224.5.48.1 to 224.5.63.254224.5.63.2554,094
85224.5.64.0/20224.5.64.1 to 224.5.79.254224.5.79.2554,094
86224.5.80.0/20224.5.80.1 to 224.5.95.254224.5.95.2554,094
87224.5.96.0/20224.5.96.1 to 224.5.111.254224.5.111.2554,094
88224.5.112.0/20224.5.112.1 to 224.5.127.254224.5.127.2554,094
89224.5.128.0/20224.5.128.1 to 224.5.143.254224.5.143.2554,094
90224.5.144.0/20224.5.144.1 to 224.5.159.254224.5.159.2554,094
91224.5.160.0/20224.5.160.1 to 224.5.175.254224.5.175.2554,094
92224.5.176.0/20224.5.176.1 to 224.5.191.254224.5.191.2554,094
93224.5.192.0/20224.5.192.1 to 224.5.207.254224.5.207.2554,094
94224.5.208.0/20224.5.208.1 to 224.5.223.254224.5.223.2554,094
95224.5.224.0/20224.5.224.1 to 224.5.239.254224.5.239.2554,094
96224.5.240.0/20224.5.240.1 to 224.5.255.254224.5.255.2554,094
97224.6.0.0/20224.6.0.1 to 224.6.15.254224.6.15.2554,094
98224.6.16.0/20224.6.16.1 to 224.6.31.254224.6.31.2554,094
99224.6.32.0/20224.6.32.1 to 224.6.47.254224.6.47.2554,094
100224.6.48.0/20224.6.48.1 to 224.6.63.254224.6.63.2554,094
101224.6.64.0/20224.6.64.1 to 224.6.79.254224.6.79.2554,094
102224.6.80.0/20224.6.80.1 to 224.6.95.254224.6.95.2554,094
103224.6.96.0/20224.6.96.1 to 224.6.111.254224.6.111.2554,094
104224.6.112.0/20224.6.112.1 to 224.6.127.254224.6.127.2554,094
105224.6.128.0/20224.6.128.1 to 224.6.143.254224.6.143.2554,094
106224.6.144.0/20224.6.144.1 to 224.6.159.254224.6.159.2554,094
107224.6.160.0/20224.6.160.1 to 224.6.175.254224.6.175.2554,094
108224.6.176.0/20224.6.176.1 to 224.6.191.254224.6.191.2554,094
109224.6.192.0/20224.6.192.1 to 224.6.207.254224.6.207.2554,094
110224.6.208.0/20224.6.208.1 to 224.6.223.254224.6.223.2554,094
111224.6.224.0/20224.6.224.1 to 224.6.239.254224.6.239.2554,094
112224.6.240.0/20224.6.240.1 to 224.6.255.254224.6.255.2554,094
113224.7.0.0/20224.7.0.1 to 224.7.15.254224.7.15.2554,094
114224.7.16.0/20224.7.16.1 to 224.7.31.254224.7.31.2554,094
115224.7.32.0/20224.7.32.1 to 224.7.47.254224.7.47.2554,094
116224.7.48.0/20224.7.48.1 to 224.7.63.254224.7.63.2554,094
117224.7.64.0/20224.7.64.1 to 224.7.79.254224.7.79.2554,094
118224.7.80.0/20224.7.80.1 to 224.7.95.254224.7.95.2554,094
119224.7.96.0/20224.7.96.1 to 224.7.111.254224.7.111.2554,094
120224.7.112.0/20224.7.112.1 to 224.7.127.254224.7.127.2554,094
121224.7.128.0/20224.7.128.1 to 224.7.143.254224.7.143.2554,094
122224.7.144.0/20224.7.144.1 to 224.7.159.254224.7.159.2554,094
123224.7.160.0/20224.7.160.1 to 224.7.175.254224.7.175.2554,094
124224.7.176.0/20224.7.176.1 to 224.7.191.254224.7.191.2554,094
125224.7.192.0/20224.7.192.1 to 224.7.207.254224.7.207.2554,094
126224.7.208.0/20224.7.208.1 to 224.7.223.254224.7.223.2554,094
127224.7.224.0/20224.7.224.1 to 224.7.239.254224.7.239.2554,094
128224.7.240.0/20224.7.240.1 to 224.7.255.254224.7.255.2554,094
129224.8.0.0/20224.8.0.1 to 224.8.15.254224.8.15.2554,094
130224.8.16.0/20224.8.16.1 to 224.8.31.254224.8.31.2554,094
131224.8.32.0/20224.8.32.1 to 224.8.47.254224.8.47.2554,094
132224.8.48.0/20224.8.48.1 to 224.8.63.254224.8.63.2554,094
133224.8.64.0/20224.8.64.1 to 224.8.79.254224.8.79.2554,094
134224.8.80.0/20224.8.80.1 to 224.8.95.254224.8.95.2554,094
135224.8.96.0/20224.8.96.1 to 224.8.111.254224.8.111.2554,094
136224.8.112.0/20224.8.112.1 to 224.8.127.254224.8.127.2554,094
137224.8.128.0/20224.8.128.1 to 224.8.143.254224.8.143.2554,094
138224.8.144.0/20224.8.144.1 to 224.8.159.254224.8.159.2554,094
139224.8.160.0/20224.8.160.1 to 224.8.175.254224.8.175.2554,094
140224.8.176.0/20224.8.176.1 to 224.8.191.254224.8.191.2554,094
141224.8.192.0/20224.8.192.1 to 224.8.207.254224.8.207.2554,094
142224.8.208.0/20224.8.208.1 to 224.8.223.254224.8.223.2554,094
143224.8.224.0/20224.8.224.1 to 224.8.239.254224.8.239.2554,094
144224.8.240.0/20224.8.240.1 to 224.8.255.254224.8.255.2554,094
145224.9.0.0/20224.9.0.1 to 224.9.15.254224.9.15.2554,094
146224.9.16.0/20224.9.16.1 to 224.9.31.254224.9.31.2554,094
147224.9.32.0/20224.9.32.1 to 224.9.47.254224.9.47.2554,094
148224.9.48.0/20224.9.48.1 to 224.9.63.254224.9.63.2554,094
149224.9.64.0/20224.9.64.1 to 224.9.79.254224.9.79.2554,094
150224.9.80.0/20224.9.80.1 to 224.9.95.254224.9.95.2554,094
151224.9.96.0/20224.9.96.1 to 224.9.111.254224.9.111.2554,094
152224.9.112.0/20224.9.112.1 to 224.9.127.254224.9.127.2554,094
153224.9.128.0/20224.9.128.1 to 224.9.143.254224.9.143.2554,094
154224.9.144.0/20224.9.144.1 to 224.9.159.254224.9.159.2554,094
155224.9.160.0/20224.9.160.1 to 224.9.175.254224.9.175.2554,094
156224.9.176.0/20224.9.176.1 to 224.9.191.254224.9.191.2554,094
157224.9.192.0/20224.9.192.1 to 224.9.207.254224.9.207.2554,094
158224.9.208.0/20224.9.208.1 to 224.9.223.254224.9.223.2554,094
159224.9.224.0/20224.9.224.1 to 224.9.239.254224.9.239.2554,094
160224.9.240.0/20224.9.240.1 to 224.9.255.254224.9.255.2554,094
161224.10.0.0/20224.10.0.1 to 224.10.15.254224.10.15.2554,094
162224.10.16.0/20224.10.16.1 to 224.10.31.254224.10.31.2554,094
163224.10.32.0/20224.10.32.1 to 224.10.47.254224.10.47.2554,094
164224.10.48.0/20224.10.48.1 to 224.10.63.254224.10.63.2554,094
165224.10.64.0/20224.10.64.1 to 224.10.79.254224.10.79.2554,094
166224.10.80.0/20224.10.80.1 to 224.10.95.254224.10.95.2554,094
167224.10.96.0/20224.10.96.1 to 224.10.111.254224.10.111.2554,094
168224.10.112.0/20224.10.112.1 to 224.10.127.254224.10.127.2554,094
169224.10.128.0/20224.10.128.1 to 224.10.143.254224.10.143.2554,094
170224.10.144.0/20224.10.144.1 to 224.10.159.254224.10.159.2554,094
171224.10.160.0/20224.10.160.1 to 224.10.175.254224.10.175.2554,094
172224.10.176.0/20224.10.176.1 to 224.10.191.254224.10.191.2554,094
173224.10.192.0/20224.10.192.1 to 224.10.207.254224.10.207.2554,094
174224.10.208.0/20224.10.208.1 to 224.10.223.254224.10.223.2554,094
175224.10.224.0/20224.10.224.1 to 224.10.239.254224.10.239.2554,094
176224.10.240.0/20224.10.240.1 to 224.10.255.254224.10.255.2554,094
177224.11.0.0/20224.11.0.1 to 224.11.15.254224.11.15.2554,094
178224.11.16.0/20224.11.16.1 to 224.11.31.254224.11.31.2554,094
179224.11.32.0/20224.11.32.1 to 224.11.47.254224.11.47.2554,094
180224.11.48.0/20224.11.48.1 to 224.11.63.254224.11.63.2554,094
181224.11.64.0/20224.11.64.1 to 224.11.79.254224.11.79.2554,094
182224.11.80.0/20224.11.80.1 to 224.11.95.254224.11.95.2554,094
183224.11.96.0/20224.11.96.1 to 224.11.111.254224.11.111.2554,094
184224.11.112.0/20224.11.112.1 to 224.11.127.254224.11.127.2554,094
185224.11.128.0/20224.11.128.1 to 224.11.143.254224.11.143.2554,094
186224.11.144.0/20224.11.144.1 to 224.11.159.254224.11.159.2554,094
187224.11.160.0/20224.11.160.1 to 224.11.175.254224.11.175.2554,094
188224.11.176.0/20224.11.176.1 to 224.11.191.254224.11.191.2554,094
189224.11.192.0/20224.11.192.1 to 224.11.207.254224.11.207.2554,094
190224.11.208.0/20224.11.208.1 to 224.11.223.254224.11.223.2554,094
191224.11.224.0/20224.11.224.1 to 224.11.239.254224.11.239.2554,094
192224.11.240.0/20224.11.240.1 to 224.11.255.254224.11.255.2554,094
193224.12.0.0/20224.12.0.1 to 224.12.15.254224.12.15.2554,094
194224.12.16.0/20224.12.16.1 to 224.12.31.254224.12.31.2554,094
195224.12.32.0/20224.12.32.1 to 224.12.47.254224.12.47.2554,094
196224.12.48.0/20224.12.48.1 to 224.12.63.254224.12.63.2554,094
197224.12.64.0/20224.12.64.1 to 224.12.79.254224.12.79.2554,094
198224.12.80.0/20224.12.80.1 to 224.12.95.254224.12.95.2554,094
199224.12.96.0/20224.12.96.1 to 224.12.111.254224.12.111.2554,094
200224.12.112.0/20224.12.112.1 to 224.12.127.254224.12.127.2554,094
201224.12.128.0/20224.12.128.1 to 224.12.143.254224.12.143.2554,094
202224.12.144.0/20224.12.144.1 to 224.12.159.254224.12.159.2554,094
203224.12.160.0/20224.12.160.1 to 224.12.175.254224.12.175.2554,094
204224.12.176.0/20224.12.176.1 to 224.12.191.254224.12.191.2554,094
205224.12.192.0/20224.12.192.1 to 224.12.207.254224.12.207.2554,094
206224.12.208.0/20224.12.208.1 to 224.12.223.254224.12.223.2554,094
207224.12.224.0/20224.12.224.1 to 224.12.239.254224.12.239.2554,094
208224.12.240.0/20224.12.240.1 to 224.12.255.254224.12.255.2554,094
209224.13.0.0/20224.13.0.1 to 224.13.15.254224.13.15.2554,094
210224.13.16.0/20224.13.16.1 to 224.13.31.254224.13.31.2554,094
211224.13.32.0/20224.13.32.1 to 224.13.47.254224.13.47.2554,094
212224.13.48.0/20224.13.48.1 to 224.13.63.254224.13.63.2554,094
213224.13.64.0/20224.13.64.1 to 224.13.79.254224.13.79.2554,094
214224.13.80.0/20224.13.80.1 to 224.13.95.254224.13.95.2554,094
215224.13.96.0/20224.13.96.1 to 224.13.111.254224.13.111.2554,094
216224.13.112.0/20224.13.112.1 to 224.13.127.254224.13.127.2554,094
217224.13.128.0/20224.13.128.1 to 224.13.143.254224.13.143.2554,094
218224.13.144.0/20224.13.144.1 to 224.13.159.254224.13.159.2554,094
219224.13.160.0/20224.13.160.1 to 224.13.175.254224.13.175.2554,094
220224.13.176.0/20224.13.176.1 to 224.13.191.254224.13.191.2554,094
221224.13.192.0/20224.13.192.1 to 224.13.207.254224.13.207.2554,094
222224.13.208.0/20224.13.208.1 to 224.13.223.254224.13.223.2554,094
223224.13.224.0/20224.13.224.1 to 224.13.239.254224.13.239.2554,094
224224.13.240.0/20224.13.240.1 to 224.13.255.254224.13.255.2554,094
225224.14.0.0/20224.14.0.1 to 224.14.15.254224.14.15.2554,094
226224.14.16.0/20224.14.16.1 to 224.14.31.254224.14.31.2554,094
227224.14.32.0/20224.14.32.1 to 224.14.47.254224.14.47.2554,094
228224.14.48.0/20224.14.48.1 to 224.14.63.254224.14.63.2554,094
229224.14.64.0/20224.14.64.1 to 224.14.79.254224.14.79.2554,094
230224.14.80.0/20224.14.80.1 to 224.14.95.254224.14.95.2554,094
231224.14.96.0/20224.14.96.1 to 224.14.111.254224.14.111.2554,094
232224.14.112.0/20224.14.112.1 to 224.14.127.254224.14.127.2554,094
233224.14.128.0/20224.14.128.1 to 224.14.143.254224.14.143.2554,094
234224.14.144.0/20224.14.144.1 to 224.14.159.254224.14.159.2554,094
235224.14.160.0/20224.14.160.1 to 224.14.175.254224.14.175.2554,094
236224.14.176.0/20224.14.176.1 to 224.14.191.254224.14.191.2554,094
237224.14.192.0/20224.14.192.1 to 224.14.207.254224.14.207.2554,094
238224.14.208.0/20224.14.208.1 to 224.14.223.254224.14.223.2554,094
239224.14.224.0/20224.14.224.1 to 224.14.239.254224.14.239.2554,094
240224.14.240.0/20224.14.240.1 to 224.14.255.254224.14.255.2554,094
241224.15.0.0/20224.15.0.1 to 224.15.15.254224.15.15.2554,094
242224.15.16.0/20224.15.16.1 to 224.15.31.254224.15.31.2554,094
243224.15.32.0/20224.15.32.1 to 224.15.47.254224.15.47.2554,094
244224.15.48.0/20224.15.48.1 to 224.15.63.254224.15.63.2554,094
245224.15.64.0/20224.15.64.1 to 224.15.79.254224.15.79.2554,094
246224.15.80.0/20224.15.80.1 to 224.15.95.254224.15.95.2554,094
247224.15.96.0/20224.15.96.1 to 224.15.111.254224.15.111.2554,094
248224.15.112.0/20224.15.112.1 to 224.15.127.254224.15.127.2554,094
249224.15.128.0/20224.15.128.1 to 224.15.143.254224.15.143.2554,094
250224.15.144.0/20224.15.144.1 to 224.15.159.254224.15.159.2554,094
251224.15.160.0/20224.15.160.1 to 224.15.175.254224.15.175.2554,094
252224.15.176.0/20224.15.176.1 to 224.15.191.254224.15.191.2554,094
253224.15.192.0/20224.15.192.1 to 224.15.207.254224.15.207.2554,094
254224.15.208.0/20224.15.208.1 to 224.15.223.254224.15.223.2554,094
255224.15.224.0/20224.15.224.1 to 224.15.239.254224.15.239.2554,094
256224.15.240.0/20224.15.240.1 to 224.15.255.254224.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses